petsc-3.7.7 2017-09-25
Report Typos and Errors

# ISCompressIndicesGeneral

convert the indices into block indices Input Parameters: + n - maximum possible length of the index set . nkeys - expected number of keys when PETSC_USE_CTABLE . bs - the size of block . imax - the number of index sets - is_in - the non-blocked array of index sets

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISCompressIndicesGeneral(PetscInt n,PetscInt nkeys,PetscInt bs,PetscInt imax,const IS is_in[],IS is_out[])

### Output Parameter

is_out -the blocked new index set

### See Also

ISExpandIndicesGeneral()

Level:intermediate
Location:src/vec/is/is/utils/isblock.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages